Jupiter - Zadanie #1811
Refaktoring insecuredocumentstorage
2017-08-23 15:30 - Michat Komar

Status: Rozwigzany Start date: 2017-08-23
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

Insecure document storage za bardzo nam sie rozrést. Posiada zbyt duzo funkcji. Nalezy go rozbié na czesci:

1. Implementacja zapytan - documentQuery
2. obstuga state machine - DocumentStateMAchine

Moze cos przy okazji jeszcze sie zrobi -> np. zmiana nazwy internaldocumentstorage na DatabaseDocumentStorage.

Associated revisions

Revision cd241834 - 2017-08-23 15:35 - Michat Komar

refs #1811: Refaktoring document storage

Revision 11079090 - 2017-08-23 15:45 - Michat Komar

refs #1811: Poprawienie testéw

Revision e9ccbe20 - 2017-08-24 08:57 - Michat Komar

refs #1811: Refaktoring -> zmiana docsrv na authdoc, a mrgdoc na doc

History

#1 - 2017-08-25 13:46 - Michat Komar
- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz

Wyglada na to, ze wszystko juz dziata.

#2 - 2017-08-25 13:46 - Michat Komar

- % Done changed from 0 to 100

#3 - 2017-09-07 08:00 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

wyglada OK
